gnutls_x509_crt_check_issuer(3)

NAME
gnutls_x509_crt_check_issuer

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_check_issuer(gnutls_x509_crt_t cert, gnutls_x509_crt_t issuer);

ARGUMENTS

gnutls_x509_crt_t cert
    is the certificate to be checked

gnutls_x509_crt_t issuer
    is the certificate of a possible issuer

DESCRIPTION
This function will check if the given certificate was issued by the given issuer. It will return true (1) if the given certificate is issued by the given issuer, and false (0) if not. A negative value is returned in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.